
From: Andrew Morton <akpm@osdl.org>

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/base/power/suspend.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN drivers/base/power/suspend.c~device-suspend-debug drivers/base/power/suspend.c
--- devel/drivers/base/power/suspend.c~device-suspend-debug	2005-08-04 23:08:47.000000000 -0700
+++ devel-akpm/drivers/base/power/suspend.c	2005-08-04 23:08:47.000000000 -0700
@@ -92,6 +92,8 @@ int device_suspend(pm_message_t state)
 		get_device(dev);
 		up(&dpm_list_sem);
 
+		printk("Suspending device %s\n", kobject_name(&dev->kobj));
+
 		error = suspend_device(dev, state);
 
 		down(&dpm_list_sem);
_
